#pragma once

#include "CoreMinimal.h"
#include "ExecuteActionOnEventBaseStrategy.h"
#include "K41ExecuteActionIfMushroomAround.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew)
class UK41ExecuteActionIfMushroomAround : public UExecuteActionOnEventBaseStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _distanceFromActor;

public:
	UK41ExecuteActionIfMushroomAround();
};

FORCEINLINE uint32 GetTypeHash(const UK41ExecuteActionIfMushroomAround) { return 0; }
